/*
 * Game of Life
 * 
 */
package gridlife.core;



/**
 * This class serves as data container for statistics
 * 
 * @author Ulf Wagemann
 */
public class GridLifeStatisticsRecord 
{
 private long   m_lTimestamp  ;
 private int    m_iAmountCells;
 private int    m_iTendency   ;
 private long   m_lGeneration ;
 private String m_sTendency   ;
 
 
 /**
  * Constructor
  * 
  * @param pa_lTimestamp   timestamp
  * @param pa_iCells       amount of cells
  * @param pa_iGeneration  generation
  * @param pa_iTendency    tendency
  */
 public GridLifeStatisticsRecord(long pa_lTimestamp, int pa_iCells, long pa_lGeneration, int pa_iTendency, String pa_sTendency)
 {
  m_lTimestamp   = pa_lTimestamp ;
  m_iAmountCells = pa_iCells     ;
  m_iTendency    = pa_iTendency  ;
  m_lGeneration  = pa_lGeneration;
  m_sTendency    = pa_sTendency  ;
 }
 
 
 
 /**
  * Returns the timestamp
  * 
  * @return timestamp
  */
 public final long getTimestamp() {return m_lTimestamp;}
 
 
 
 /**
  * Returns the amount of cells
  * 
  * @return   amount of cells
  */
 public final int getCellAmount() {return m_iAmountCells;}
 
 
 
 /**
  * Returns the amount of cells
  * 
  * @return   amount of cells
  */
 public final long getGeneration() {return m_lGeneration;}
 
 
 /**
  * Returns the tendency
  * 
  * @return   tendency
  */
 public final int getTendency() {return m_iTendency;}
 

 /**
  * Returns the tendency string
  * 
  * @return   tendency
  */
 public final String getTendencyString() {return m_sTendency;}
 

 /**
  * Sets the tendency string
  * 
  * @param pa_sValue   tendency string
  */
 public final void setTendencyString(String pa_sValue) {m_sTendency = pa_sValue;}
 

}
